Community
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Level of Detail to Master: Instantaneous Assembly Finalization

Level of Detail to Master: Instantaneous Assembly Finalization

Maybe I am using LODs (Level of Detail) different than designed, but I would like to be able to promote a level of detail to Master.

 

What this would do is allow you to essentially brainstorm in an assembly, and then once you have your model the way you want it, you could promote your custom LOD to Master, and it would then delete all unnecessary constraints (those that are suppressed in the custom LOD), make overriden dimensions current, and unnecessary parts (all suppressed parts).  

 

It would really be a nice way to finalize an assembly.  

 

Maybe there are some required options in the process, like retain suppressed content center parts, retain/delete LODs of children subassemblies...

7 Comments
andrewiv
Advisor

I think you're talking about positional representations not levels of detail.

ljordan
Advocate

After rereading what I typed, I see why you think that ("...overriden dimensions..."), but I was mainly thinking LODs because of suppressed parts.  Although, \iIt would be a nice function for Positional and View Representations as well.

 

I wish we could also have the option to suppress constraints automatically when suppressing a part.  That would make LODs much more useful in my opinion.  It sucks to have hunt them all down and manually suppress them.  I ended up just making a rule though that will ask if you also want to suppress the constraints.  

Josh_Hunt
Advocate

ljordan, Autodesk's intent for LODs was to manage memory of large assemblies. However (like all software features) many people have found other uses for them.

 

After your second post I still need to understand what you are supressing. LODs only suppress Components, Pos Reps only suppress or override Constraints.

 

So, are you...

  • suppressing Components
  • or suppressing/overriding Constraints
  • or BOTH?

Another way of asking, Are you brainstorming different unique components or different positions of components?

ljordan
Advocate

JHUNT107,

 

Thanks for your response.

 

I am brainstorming different unique components.  I get LODs are meant for memory management, but by default if you right click on a component and suppress it, it creates a LOD (if there isn't already one).  I like that it does this, but there is times when I suppress a component, I would like for it to not exist.  Yes I could delete it, but if I am brainstorming I may come back to it.

 

I did create an ApplicationProject macro and then put the icon on my "Assemble" ribbon that accomplishes this.

 

Here it is if you want to explore it:

 


Public Sub AdvSuppress()
Dim aDoc As AssemblyDocument
Set aDoc = ThisApplication.ActiveDocument
Dim aDef As AssemblyComponentDefinition
Set aDef = aDoc.ComponentDefinition

Dim aOccs As SelectSet
Set aOccs = aDoc.SelectSet

Dim oOcc As ComponentOccurrence

If aDoc.SelectSet.Count = 0 Then
MsgBox ("This function requires that at least one component is selected. Select component and restart command.")
Exit Sub
Else

Set oOcc = aDoc.SelectSet.Item(1)
If oOcc.Suppressed = False Then
Dim RUSURE As Integer
RUSURE = MsgBox("Do you want to also suppress constraints?", vbYesNo)
End If
'MsgBox (aDoc.SelectSet.Count)

 

Dim oSelectedOccs As ObjectCollection
Set oSelectedOccs = ThisApplication.TransientObjects.CreateObjectCollection
Dim n As Long
For n = 1 To aDoc.SelectSet.Count
If aDoc.SelectSet.Item(n).Type = kComponentOccurrenceObject Then
oSelectedOccs.Add aDoc.SelectSet.Item(n)
End If
Next


Dim i As Long
For i = 1 To oSelectedOccs.Count
'''For i = 1 To aDoc.SelectSet.Count

''Set oOcc = aDoc.SelectSet.Item(1)
Set oOcc = oSelectedOccs.Item(i)
'MsgBox (oOcc.Name)

Dim oCon As Inventor.AssemblyConstraint
'Dim RUSURE As Integer
If oOcc.Suppressed = False Then
'RUSURE = MsgBox("Do you want to also suppress constraints?", vbYesNo)
' 3-17-2014 oOcc.SelectSet.Item(i) = Suppress
oOcc.Suppress
If RUSURE = vbYes Then

For Each oCon In oOcc.Constraints

oCon.Suppressed = True
Next
ElseIf RUSURE = vbNo Then

For Each oCon In oOcc.Constraints
oCon.Suppressed = False
Next
End If
ElseIf oOcc.Suppressed = True Then
' 3-17-2014 oOcc.SelectSet.Item(i) = Unsuppress
oOcc.Unsuppress
For Each oCon In oOcc.Constraints
oCon.Suppressed = False
Next
End If
Next
End If
End Sub

 

ljordan
Advocate

I just realized there is some more cleaning up I could have done.  I literally just finished the code for it to operate the way I would like it to.

inv.ideareview
Autodesk
Thanks for sharing your Idea. We use this forum to guide product development and help users in the best way we can based on voting. We occasionally merge Ideas or archive old ones to keep the forum working properly - it ensures there is room for people to review new Ideas and that the most relevant and meaningful ones can gain votes. We’re archiving this Idea because it's been on the board for well over a year and hasn't received many votes from the community. If you want to raise it again and try to gain more support, you're welcome to do so. We’ve found that pictures and mock-ups can help get concepts across and win more votes from other users. If you have questions or see a connection between this Idea and others, let us know. - Inventor product team (Inv.idea review)
inv.ideareview
Autodesk
Status changed to: Archived
 

Can't find what you're looking for? Ask the community or share your knowledge.

Submit Idea  

Autodesk Design & Make Report